
# -*- python -*-
#
# The configuration file of rsync.py.
# It's a Python file (*not* a module)
#
# It's executed inside the "Rsync.loadConf()" method. The traditional
# 'self' argument of a Python class is renamed 'rsync' to be more explicit.
#
#
# EPEL.
# rsync -vaH --exclude=4/* --exclude=5/* --exclude=beta/* 
#            --exclude=6/ppc64 --exclude=6/*/debug
#            --numeric-ids --delete --delete-after --delay-updates
#            rsync://download.fedora.redhat.com/fedora-epel epel
#
# ELrepo.
# rsync --exclude=el5
#       elrepo.reloumirrors.net::elrepo elrepo

ExclCommons  = [ 'log/*.log' ]

fullMirrors = \
    [
   #  { "host":"melon"         , "fqdn":       "melon.soc.lip6.fr", "flags":0, "sshArgs":None }
   #, { "host":"melon.tunnel"  , "fqdn":                 "melon-t", "flags":0, "sshArgs":None }
      { "host":"shadock.wifi"  , "fqdn":"shadock-wifi.soc.lip6.fr", "flags":0, "sshArgs":None }
    , { "host":"lepka"         , "fqdn":       "goulp.soc.lip6.fr", "flags":0, "sshArgs":None }
    , { "host":"backup"        , "fqdn":       "goulp.soc.lip6.fr", "flags":0, "sshArgs":None }
    , { "host":"shadock"       , "fqdn":     "shadock.soc.lip6.fr", "flags":0, "sshArgs":None }
    , { "host":"gibi"          , "fqdn":        "gibi.soc.lip6.fr", "flags":0, "sshArgs":None }
    , { "host":"goulp"         , "fqdn":       "goulp.soc.lip6.fr", "flags":0, "sshArgs":None }
    , { "host":"goulp.wifi"    , "fqdn":  "goulp-wifi.soc.lip6.fr", "flags":0, "sshArgs":None }
    , { "host":"shadock.orkand", "fqdn":  "meseriphine.dyndns.org", "flags":0, "sshArgs":"-p 2206" }
    , { "host":"shadock.tunnel", "fqdn":               "shadock-t", "flags":0, "sshArgs":None }
    , { "host":"limavan"       , "fqdn":                 "limavan", "flags":0, "sshArgs":None }
    , { "host":"pasoer"        , "fqdn":                  "pasoer", "flags":0, "sshArgs":None }
    ]

for mirror in fullMirrors:
    profile = rsync.add(mirror["host"],mirror["fqdn"],mirror["flags"],mirror["sshArgs"])
    profile.addTreeConf("fossEDA","/dsk/l1/fossEDA","-rptgoDLvuHK",ExclCommons)

profile = rsync.add("melon", "melon.soc.lip6.fr", 0, None)
profile.addTreeConf("fossEDA","/dsk/l2/fossEDA","-rptgoDLvuHK",ExclCommons)

profile = rsync.add("melon.tunnel", "melon-t", 0, None)
profile.addTreeConf("fossEDA","/dsk/l2/fossEDA","-rptgoDLvuHK",ExclCommons)

profile = rsync.add("ftp", "ftp.lip6.fr", 0, "-l jpc")
profile.addTreeConf("fossEDA","/home/ftp/lip6/softs/coriolis","-auvhH",ExclCommons)
